Bug 219765 - devel/cmake: Update to 3.8.2
Summary: devel/cmake: Update to 3.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-04 08:47 UTC by groot
Modified: 2017-06-10 13:36 UTC (History)
2 users (show)

See Also:


Attachments
Update CMake to 3.8.2 (29.68 KB, patch)
2017-06-04 08:47 UTC, groot
no flags Details | Diff
Update CMake to 3.8.2 (1.54 KB, patch)
2017-06-06 06:54 UTC, groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2017-06-04 08:47:59 UTC
Created attachment 183192 [details]
Update CMake to 3.8.2

Update cmake&Co to 3.8.2. This also adds an experimental feature scheduled for CMake upstream in 3.10, supporting native pkg(8)-package creation with CPack.

kde@ would like to ask for an exp-run to update cmake to 3.8.2.
Comment 1 Adam Weinberger freebsd_committer 2017-06-04 14:27:49 UTC
I suspect that that LIB_DEPENDS on ports-mgmt/pkg is going to cause problems for anybody using pkg-devel.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-04 14:34:55 UTC
Canonicalize summary and assignee
Comment 3 groot 2017-06-05 08:19:42 UTC
(In reply to Adam Weinberger from comment #1)

Both pkg and pkg-devel provide libpkg.so, so it won't pull in a conflicting pkg(8) if you have pkg-devel installed, right? I suppose I could use ${PKG_ORIGIN} instead, but that variable suggests that its for backwards compatibility, not new ports.
Comment 4 Antoine Brodin freebsd_committer 2017-06-05 08:41:37 UTC
Experience with net-snmp has proven that it is not always a good idea to link against libpkg

Isn't there a possible issue with libarchive?  Cmake uses the one from ports, pkg uses the one from base.

Bapt, what do you think?
Comment 5 groot 2017-06-06 06:54:48 UTC
Created attachment 183257 [details]
Update CMake to 3.8.2

New patch just does the update to upstream CMake 3.8.2, without the pkg(8) features. That way we can do the exp-run, do the update, and discuss linking with libpkg in the run-up to CMake 3.9 or 3.10.
Comment 6 Antoine Brodin freebsd_committer 2017-06-10 07:51:01 UTC
Exp-run looks fine.
Comment 7 commit-hook freebsd_committer 2017-06-10 13:34:21 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jun 10 13:33:53 UTC 2017
New revision: 443088
URL: https://svnweb.freebsd.org/changeset/ports/443088

Log:
  Update CMake to 3.8.2.

  Thanks to antoine@ for the exp-run.

  PR:		219765
  Submitted by:	Adriaan de Groot <groot@kde.org>

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
Comment 8 Raphael Kubo da Costa freebsd_committer 2017-06-10 13:36:40 UTC
Committed, thanks. In the commit, I readded PORTREVISION to devel/cmake's Makefile, it's there because its value can differ from the one in devel/cmake-modules.